%define module 	XML-Driver-HTML
%define version 0.06
%define release 2mdk

Summary:	SAX Driver for non wellformed HTML
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	distributable
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 2:5.8.0
Requires:	perl >= 2:5.8.0
Requires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArchitectures: noarch

%description
XML::Driver::HTML is a SAX Driver for HTML. There is no need
for the HTML input to be weel formed, as XML::Driver::HTML
is generating its SAX events by walking a HTML::TreeBuilder object.
The simplest kind of use, is a filter from HTML to XHTML
using XML::Handler::YAWriter as a SAX Handler.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%_prefix}
%make


%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib
%make PREFIX=$RPM_BUILD_ROOT%_prefix install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST 
%_libdir/perl5/vendor_perl/5.8.0/XML/Driver/HTML.pm
%_mandir/man1/html2xhtml.*
%_mandir/man3pm/XML::Driver::HTML.*
%_bindir/html2xhtml


%changelog
* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.06-2mdk
- rebuild

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.06-1mdk
- 0.06.

* Fri Jul 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-2mdk
- rebuild for new perl
- add a real description
- big, big spec cleanup
- this should be noarch

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.05-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 0.05
	- BuildRequires:	perl-devel >= 5.6
	- Requires:	perl >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-1mdk
- First Mandrake Release



